Subject: Re: [RFC/Patch] 4xx idle loop

From: Cort Dougan <[email-masked]>
Date: Thu, 25 Jul 2002 11:55:40 -0600

That can be implemented within the arch_idle() for the given chip type.  If
6xx chips want to do some pmac specific idle it can have a table of its
own or look int ppc_md.board_specific_power_save.  On 4xx there may not
be a need for that so there's no need for the indirection.

The chip idle is invariant after the compile but the board specific idle
may or may not be so push that into the chip specific function.  That way
no indirection is forced on configurations that don't need it.

} Well, while I tend to agree with you on this, experience proved that
} slightly abusing the ppc_md. indirection somewhat helped make the
} code cleaner (read: more self-contained, less cruft, ...)
}
} Also, in this specific case, we might well want to have an machine
} specific power saving feature: I've had various tweaks in mind for
} powermac laptops that I never ended up implementing...

** Sent via the linuxppc-dev mail list. See http://lists.linuxppc.org/